Page MenuHomePhabricator

Visually separate gloss language from gloss text
Closed, ResolvedPublic

Description

After https://phabricator.wikimedia.org/T203457 language of gloss is displayed. It introduced problem in languages where language name can formulate sentence with text of the gloss. For example in Polish lexeme https://www.wikidata.org/wiki/Lexeme:L29612 name of the language "polski" is in the same gender like gloss text "otrzymywany sztucznie, promieniotwórczy pierwiastek chemiczny" and visually creates new sentence "polski otrzymywany sztucznie, promieniotwórczy pierwiastek chemiczny". It is not visible that "polski" is language name.

Another sideeffect of current state with space for language name is that for longer language name it overwrites gloss text, see below image:

Related Objects

Event Timeline

KaMan created this task.Dec 10 2018, 11:56 AM

@Jan_Dittrich Would you have a creative idea to solve this problem?

The dirty way is to increase the space between "polish" and the gloss. The right way is to have a certain way of how language metadata is represented and have it look the same everywhere so it is easily recognized.

KaMan updated the task description. (Show Details)Dec 17 2018, 7:07 AM

Ouch. I guess we could start with adapting the width of the area to the length of the text, and increase the space between language and gloss.

Jan_Dittrich added a comment.EditedDec 19 2018, 3:08 PM

Also, I see we should have some behavior for breaking words to two lines if they are too long instead of just overlapping as in the second image.

( ↑ the problematic section)

Any vertical element (like the bar between L… and the language) should grow with the largest height of the elements in the L-Language-Gloss-row

An alternative to breaking text to two or several lines would be having the elements grow horizontally, however, this easily makes the UI look messy. If we decide to do this, at least the elements should all have a min-width, so the mess only happens if needed.

This ticket is affected by the work done in T207401.

Lydia_Pintscher closed this task as Resolved.Jan 12 2019, 9:43 PM
Lydia_Pintscher claimed this task.

This seems to be solved with the work done in T207401. \o/